Skip site navigation (1) Skip section navigation (2)

Re: Compiling 8.0.1 on Ubuntu AMD_64

From: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
To: Tim Bowden <tim(dot)bowden(at)westnet(dot)com(dot)au>
Cc: pgsql-novice(at)postgresql(dot)org
Subject: Re: Compiling 8.0.1 on Ubuntu AMD_64
Date: 2005-03-22 18:19:34
Message-ID: 10618.1111515574@sss.pgh.pa.us (view raw or flat)
Thread:
Lists: pgsql-novice
Tim Bowden <tim(dot)bowden(at)westnet(dot)com(dot)au> writes:
> I'm trying to compile 8.0.1 on a 64bit Ubuntu system and get the following error:
> gcc -O2 -Wall -Wmissing-prototypes -Wpointer-arith -Wendif-labels -fno-strict-aliasing -fpic -shared -Wl,-soname,libplperl.so.0  plperl.o spi_internal.o SPI.o -L../../../src/port -L/usr/local/lib /usr/lib/perl/5.8/auto/DynaLoader/DynaLoader.a -L/usr/lib/perl/5.8/CORE -lperl -ldl -lm -lpthread -lc -lcrypt  -Wl,-rpath,/usr/lib/perl/5.8/CORE -o libplperl.so.0.0
> /usr/bin/ld: cannot find -lperl

Is there a libperl.so or libperl.a in /usr/lib/perl/5.8/CORE?  If not,
but you see one in some related directory, then our configure script
messed up (or Ubuntu is using a whacked-out Perl setup).  If there's
none to be found anywhere, you have an incomplete Perl installation.

Another possibility is that you have only libperl.a and need libperl.so,
but offhand I'd not expect that particular error message if that were
the issue.

			regards, tom lane

In response to

Responses

pgsql-novice by date

Next:From: Jack MillerDate: 2005-03-22 18:48:10
Subject: dump & create with a cron job
Previous:From: Celia McInnisDate: 2005-03-22 17:31:59
Subject: Re: timestamp group by bug???

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group